ServerEvents.recipes(event => {
event.remove({ output: 'extendedcrafting:black_iron_ingot' })
event.remove({ output: 'extendedcrafting:ender_ingot' })
event.remove({ output: 'extendedcrafting:redstone_ingot' })
event.remove({ output: 'extendedcrafting:luminessence' })

  event.recipes.create.mixing(
    'extendedcrafting:ender_ingot',
    ['naturesaura:infused_iron', 'naturesaura:end_city_finder','alexscaves:azure_neodymium_ingot']
  )
  .superheated()
  .id('extendedcrafting:ender_ingot')


    event.custom({
    type: 'ars_nouveau:enchanting_apparatus',
    output: {
      item: 'extendedcrafting:black_iron_ingot'
    },
    pedestalItems: [
      { item: 'mekanism:ingot_refined_obsidian' },
      { item: 'mekanism:ingot_refined_obsidian' },
      { item: 'mekanism:ingot_refined_glowstone' },
      { item: 'mekanism:ingot_refined_glowstone' },
      { item: 'minecraft:netherite_ingot' },
      { item: 'minecraft:netherite_ingot' }
    ],
    reagent: {
      item: '#outer_end:crystal_shards'
    },
    source_cost: 3000,
    keep_nbt_of_reagent: false
  })

    event.custom({
    type: 'powah:energizing',
    ingredients: [
      Ingredient.of('powah:crystal_nitro').toJson(),
      Ingredient.of('thermal:rose_gold_ingot').toJson(),
      Ingredient.of('minecraft:redstone').toJson(),
      Ingredient.of('thermal:signalum_ingot').toJson(),
      Ingredient.of('alexscaves:scarlet_neodymium_ingot').toJson()
    ],
    energy: 25000000,
    result: { item: 'extendedcrafting:redstone_ingot', count: 2 } // count is supported
  }).id('kjs:powah/my_tagged_recipe');

  event.recipes.industrialforegoing.dissolution_chamber(
    [
      'ars_nouveau:water_essence',
      'ars_nouveau:earth_essence',
      'ars_nouveau:fire_essence',
      'ars_nouveau:air_essence',
      'ars_nouveau:abjuration_essence',
      'ars_nouveau:conjuration_essence',
      'ars_nouveau:manipulation_essence'
    ],
    Fluid.of('industrialforegoing:ether_gas', 500), // input fluid + amount (mB)
    Item.of('extendedcrafting:luminessence', 1),            // output item (+ count)
    120        // processing time in ticks (20 ticks = 1s) → 6s here
  )
  // (optional) also produce an output fluid:
  // .outputFluid(Fluid.of('minecraft:water', 250))
  .id('extendedcrafting:luminessence');

})